import React, { useState } from "react";
import "./style.css";
import LoginBox from "./LoginBox.js";

const LoginPage = (props) => {
  const [messages, setMessages] = useState([]);
  const {login, updateLogin, user, updateUser } = props.props;
function updateMessages(msg) {
    setMessages((prevMessages) => [msg, ...prevMessages]);
  }
  return (
    <div>
      <LoginBox props={{login, updateLogin, messages, updateMessages, user, updateUser }} />
    </div>
  );
};

export default LoginPage;

